package examples.server;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;
import org.seasar.remoting.common.deployer.Deployer;

/**
 * @author Kenichiro Murata
 */
public class ServerMain {
    public static void main(String[] args) {
        S2Container container = S2ContainerFactory
                .create("examples/server/server.dicon");

        Deployer deployer = (Deployer) container
                .getComponent(org.seasar.remoting.rmi.deployer.RMIAdaptorDeployer.class);

        deployer.deploy();
    }
}