package examples.client;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

import examples.service.Hello;

/**
 * @author Kenichiro Murata
 */
public class ClientMain {
    public static void main(String[] args) {
        S2Container container = S2ContainerFactory
                .create("examples/client/client.dicon");
        Hello hello = (Hello) container
                .getComponent(examples.service.Hello.class);

        System.out.println(hello.say());
    }
}